<!DOCTYPE html>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd" lang="en-us" xml:lang="en-us" class="no-feedback" data-mc-search-type="Stem" data-mc-help-system-file-name="index.xml" data-mc-path-to-help-system="../../" data-mc-target-type="WebHelp2" data-mc-runtime-file-type="Topic" data-mc-preload-images="false" data-mc-in-preview-mode="false" data-mc-toc-path="Validating Vulnerabilities">
    <head>
        <meta charset="utf-8" />
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><title>Nexpose Exceptions</title>
        
        <link href="../../Skins/Default/Stylesheets/TextEffects.css" rel="stylesheet" />
        <link href="../../Skins/Default/Stylesheets/Topic.css" rel="stylesheet" />
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" />
        <script src="../../Resources/Scripts/jquery.min.js">
        </script>
        <script src="../../Resources/Scripts/plugins.min.js">
        </script>
        <script src="../../Resources/Scripts/MadCapAll.js">
        </script>
    </head>
    <map id="map1" name="map1">
        <area shape="rectangle" coords="840,44,1093,87" href="http://www.rapid7.com/products/metasploit/download.jsp" target="_blank" />
        <area shape="rectangle" coords="1107,48,1211,80" href="http://www.rapid7.com/products/metasploit/" target="_blank" />
    </map>
    <body>
        <p class="MCWebHelpFramesetLink MCWebHelpFramesetLinkTop" style="display: none;"><a href="../../index.html#20-vuln-validation/creating-and-pushing-nexpose-exceptions.html">Open topic with navigation</a>
        </p>
        <h1>Nexpose Exceptions</h1>
        <p>An <a name="kanchor111"></a>exception defines the reason why a vulnerability exists. You apply exceptions to vulnerabilities that are typically low-risk or are used deliberately to mitigate bigger threats. Vulnerability exceptions help you  exclude certain vulnerabilities from a report so that you can manage your risk score.</p>
        <p>You can apply exceptions to vulnerabilities that Metasploit&#160;Pro was unable to exploit. These vulnerabilities have a status of Not Exploitable, which indicates that <span class="VariablesProductName">Metasploit Pro</span> was unable to obtain a session on the target host due to some compensating control or back porting. </p>
        <p>Exceptions can be defined for vulnerabilities for the following reasons:</p>
        <ul>
            <li value="1">They are used as compensating controls or to mitigate additional risks.</li>
            <li value="2">They represent an acceptable use case or deliberate practice, such as anonymous FTP access. </li>
            <li value="3">They represent an acceptable risk and may require more resources than you are willing to invest to remediate.These vulnerabilities typically pose a minimal risk.</li>
            <li value="4">They are false positives. </li>
        </ul>
        <h2>The Exceptions Page</h2>
        <p>You create and push Nexpose exceptions from the Exceptions page. The Exceptions page is accessible from the Findings window or from the Vulnerabilities page. </p>
        <p>From the Exceptions page, you can define the exception settings for a group of hosts that have a specific vulnerability or you can define them individually for each host.<br /><br /><img src="../Resources/Images/vuln-validation/vv-nexpose-exceptions-page_469x247.png" style="width: 469;height: 247;" /></p>
        <p>From the Exceptions page, you can perform the following tasks:&#160;</p>
        <ul>
            <li value="1">View all the vulnerabilities that <span class="VariablesProductName">Metasploit Pro</span> was unable to exploit.</li>
            <li value="2">Assign the exception reason for each vulnerability. </li>
            <li value="3">Assign expiration dates for vulnerability exceptions.</li>
            <li value="4">Add comments to the vulnerability exception. </li>
            <li value="5">Automatically approve vulnerability exception requests.</li>
            <li value="6">Push exceptions back to Nexpose.<br /><br /></li>
        </ul>
        <h3>Accessing the Exceptions Page</h3>
        <ol>
            <li value="1">From within a project, select <b class="UISelection">Analysis &gt; Vulnerabilities</b> from the Project Tab bar. The Vulnerabilities page appears.</li>
            <li value="2">Click the <b class="UISelection">Create Exception</b> dropdown and select <b class="UISelection">All Not Exploited</b>. The Exceptions page appears. </li>
        </ol>
        <p class="NoteList" data-mc-autonum="&lt;b&gt;Note:&lt;/b&gt; &#160;"><span class="autonumber"><span><b>Note:</b> &#160;</span></span>The <b class="UISelection">All Not Exploited</b> option selects all vulnerabilities that have an <b class="UISelection">Not Exploited</b> status and displays them on the Exceptions page. If you only want to create exceptions for a few specific vulnerabilities, you can manually select them from the Vulnerabilities list and choose the <b class="UISelection">All Selected</b> option instead. <br /><br /><img src="../Resources/Images/vuln-validation/vv-create-exception-dropdown_526x209.png" style="width: 526;height: 209;" /></p>
        <h2>Creating and Pushing Nexpose Exceptions
</h2>
        <ol start="1">
            <li value="1">From within a project, select <b class="UISelection">Analysis &gt; Vulnerabilities</b> from the Project Tab bar. The Vulnerabilities page appears.</li>
            <li value="2">Click the <b class="UISelection">Create Exception</b> dropdown and select <b class="UISelection">All Not Exploited</b>. The Exceptions page appears. </li>
        </ol>
        <p class="NoteList" data-mc-autonum="&lt;b&gt;Note:&lt;/b&gt; &#160;"><span class="autonumber"><span><b>Note:</b> &#160;</span></span>The <b class="UISelection">Create Exceptions</b> button is available on the Findings window when there are vulnerabilities ready for you to create exceptions for; otherwise, it will be grayed out.<br /><br /><img src="../Resources/Images/vuln-validation/vv-create-exception-dropdown_537x214.png" style="width: 537;height: 214;" /><br /></p>
        <ol data-mc-continue="true">
            <li value="3">Click the <b class="UISelection">Nexpose Console</b> dropdown and select the console you want to push the exceptions to.<br /><br /><img src="../Resources/Images/vuln-validation/vv-choose-nx-console_524x104.png" style="width: 524;height: 104;" /></li>
            <li value="4">For each vulnerability, click the <b class="UISelection">Reason</b> dropdown and choose the vulnerability exception reason you want to assign to it. You can also provide additional information for the exception in the <b class="UISelection">Comment</b> field. For more information on exception reasons, see<MadCap:conditionalText data-mc-conditions="Pro_Help_Conditions.OnlineOnly"> <![CDATA[ ]]><a href="#vuln-exception-reasons" class="online MCXref xref xrefonline">Vulnerability Exception Reasons</a></MadCap:conditionalText></li>
        </ol>
        <p class="NoteList" data-mc-autonum="&lt;b&gt;Note:&lt;/b&gt; &#160;"><span class="autonumber"><span><b>Note:</b> &#160;</span></span>If you want to define bulk exception settings for all hosts in a vulnerability group, select the<b class="UISelection"> All Hosts with this Vulnerability</b> option. The Reason and Comment fields become available under to the vulnerability name.The reason you select applies to all hosts in that vulnerability group.<br /><br /><img src="../Resources/Images/vuln-validation/vv-exception-reason-dropdown_531x241.png" style="width: 531;height: 241;" /><br /><br /></p>
        <ol data-mc-continue="true">
            <li value="5">Choose the <b class="UISelection">All Expire</b> option if you want to set an expiration date for the vulnerability exceptions. If you do not want to set an expiration date for any vulnerability exceptions, keep the default <b class="UISelection">Never Expire</b> option selected and go to Step 6.<br /><br /><img src="../Resources/Images/vuln-validation/vv-all-expire-option_535x94.png" style="width: 535;height: 94;" /></li>
            <li value="6">To set the same expiration date for all vulnerability exceptions, select on the <b class="UISelection">All Expire</b> option.  A calendar appears. Find and select the date that you want to use. If you want to set a unique expiration date for each host, skip this step and go to the next step.<br /><br /><img src="../Resources/Images/vuln-validation/vv-expiration-calendar_527x147.png" style="width: 527;height: 147;" /></li>
            <li value="7">To set a unique expiration date for each host:</li>
        </ol>
        <ol style="list-style-type: lower-alpha;">
            <li class="indentedList" value="1">Select the <b class="UISelection">All Expire</b> option.<br /><br /><img src="../Resources/Images/vuln-validation/vv-all-expire-option_509x89.png" style="width: 509;height: 89;" /></li>
            <li class="indentedList" value="2">Click on the <b class="UISelection">Expire</b> field next to each host to display the calendar. <br /><br /><img src="../Resources/Images/vuln-validation/vv-individual-expire_475x140.png" style="width: 475;height: 140;" /></li>
            <li class="indentedList" value="3">Find the expiration date that you want to use and select it.</li>
        </ol>
        <ol start="8">
            <li value="8">Deselect the <b class="UISelection">Automatically Approve</b> option if you do not want to approve any of the vulnerability exception requests from <span class="VariablesProductName">Metasploit Pro</span>. Instead, you will manually approve the exception requests through the Nexpose Console. <br /><br /><img src="../Resources/Images/vuln-validation/vv-auto-approve_474x83.png" style="width: 474;height: 83;" /></li>
            <li value="9">Select the hosts that you want to push exceptions for. Use the <b class="UISelection">Select All Hosts</b> checkbox if you want to push exceptions for all hosts.</li>
            <li value="10">When you are ready to push the exceptions, click the <b class="UISelection">Push Exceptions</b> button.<br /><br /><img src="../Resources/Images/vuln-validation/vv-push-button_427x170.png" style="width: 427;height: 170;" /></li>
        </ol>
        <h3><a name="vuln-exception-reasons"></a>Vulnerability Exception Reasons</h3>
        <p>The following vulnerability exception reasons are available:</p>
        <ul>
            <li value="1"><b>False positive</b> - Use this exception reason for a vulnerability that does not exist.</li>
            <li value="2"><b>Compensating control</b> - Use this exception reason to indicate that a vulnerability is a compensating control, or a workaround for a security requirement.</li>
            <li value="3"><b>Acceptable use</b> - Use this exception reason for any vulnerability that is used as part of organizational practices.</li>
            <li value="4"><b>Acceptable risk</b> - Use this exception reason for any vulnerability that are considered low risk. These vulnerabilities tend to pose minimal security risk and are likely to consume more resources than they are worth.</li>
            <li value="5"><b>Other</b> -  Use this exception reason if the reason does not match any of the . You can provide a reason in the <b class="UISelection">Comment </b>field.</li>
        </ul>
        <h3>Module Result Codes</h3>
        <p>A result code identifies the reason an exploit failed. You can view the result code for a vulnerability on the Vulnerability Exceptions page.</p>
        <p>The following result codes are available:</p>
        <p>None - Indicates that <span class="VariablesProductName">Metasploit Pro</span> could not determine if the module ran successfully or failed.</p>
        <ul>
            <li value="1"><b>Unknown</b> - Indicates that <span class="VariablesProductName">Metasploit Pro</span> could not determine if the module ran successfully or failed.</li>
            <li value="2"><b>Unreachable</b> - Indicates that <span class="VariablesProductName">Metasploit Pro</span> could not reach the network service.</li>
            <li value="3"><b>Bad-config</b> - Indicates that the exploit settings were configured incorrectly.</li>
            <li value="4"><b>Disconnected</b> - Indicates that the network service disconnected during a module run.</li>
            <li value="5"><b>Not-found</b> - Indicates that <span class="VariablesProductName">Metasploit Pro</span> could not find the application or service.</li>
            <li value="6"><b>Unexpected-reply</b> - Indicates that <span class="VariablesProductName">Metasploit Pro</span> did not receive the expected response from the application.</li>
            <li value="7"><b>Timeout-expired</b> - Indicates that a timeout occurred.</li>
            <li value="8"><b>User-interrupt</b> - Indicates that the user stopped the module run.</li>
            <li value="9"><b>No-access</b> - Indicates that <span class="VariablesProductName">Metasploit Pro</span> could not access the application.</li>
            <li value="10"><b>No-target</b> - Indicates that the module configuration was not compatible with the target.</li>
            <li value="11"><b>Not-vulnerable</b> - Indicates that the application was not vulnerable.</li>
            <li value="12"><b>Payload-failed</b> - Indicates that <span class="VariablesProductName">Metasploit Pro</span> delivered a payload, but was unable to open a session.</li>
        </ul>
        <h2>Viewing Vulnerability Exceptions in Nexpose</h2>
        <p>After you push the exceptions, you can go to the Vulnerability Exception Listing (<b class="UISelection">Administration &gt; Exceptions and Overrides &gt; Manage</b>) in the Nexpose Console to view the exception requests that have been approved or are awaiting review. The Vulnerability Exception Listing shows the exceptions that are active across all sites. For more information on how to manage vulnerability exceptions, please see the <a href="http://community.rapid7.com/docs/DOC-1387" target="_blank">Nexpose User's Guide</a>. </p>
        <p>
            <img src="../Resources/Images/vuln-validation/vv-nx-vuln-exception-list_511x210.png" style="width: 511;height: 210;" />
        </p>
    </body>
</html>